-- SPDX-License-Identifier: ISC
-- Copyright (c) 2020 Camden Dixie O'Brien

module Main (main) where

import Graphics.Gloss

window :: Display
window = InWindow "Foo" (200, 200) (100, 100)

frame :: Float -> Picture
frame t = rotate (100 * t) $ rectangleSolid 80 80

main :: IO ()
main = animate window white frame
